Subject: Re: bug#29193: 26.0.90; Using (thing-at-point 'sexp) in flymake-diag-region might be suboptimal

From: João Távora <[email-masked]>
Date: Fri, 18 Dec 2020 11:42:02 +0000

On Fri, Dec 18, 2020 at 2:07 AM Dmitry Gutov <[email-masked]> wrote:
>
> On 18.12.2020 01:25, Glenn Morris wrote:
> > fda9a2 causes a test failure.
> >
> > Ref eg:https://hydra.nixos.org/build/132986117
>
> Thanks! It was a curious bug: one would expect that some highlighting's
> boundaries might change. What changed, however, is one's _type_.
>
> I've pushed a fix, and I'll let the Flymake's maintainer sort out at his
> leisure whether flymake-diag-region can be relied on not to change match
> data, as several of its clients seem to assume.

I think this is rather a thingatpt.el issue, which makes no mention of
match-data destruction.  Regardless, it's decent enough to do that in
flymake-diag-region so I pushed save-match-data a bit higher.

Thanks,
João